Summary:	Misfit Model 3D - OpenGL-based 3D model editor
Name:		mm3d
Version:	1.3.7
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphics
URL:		http://www.misfitcode.com/misfitmodel3d/
Source0:	http://downloads.sourceforge.net/misfitmodel3d/%{name}-%{version}.tar.bz2
#BuildRequires:	lua-devel	>= 5.1
BuildRequires:	libqt4-devel
BuildRequires:	qt4-linguist
BuildRequires:	desktop-file-utils
BuildRequires:	libxmu-devel
Requires(post,postun):	desktop-file-utils
#Requires:	lua		>= 5.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Misfit Model 3D is an OpenGL-based 3D model editor that works with
triangle-based models. It supports multi-level undo, skeletal
animations, simple texturing, scripting, command-line batch
processing, and a plugin system for adding new model and image
filters. Complete online help is included. It is designed to be easy
to use and easy to extend with plugins and scripts.

%prep
%setup -q

%build
%configure2_5x
#	--with-Qt-dir=%{qt4lib}
#	--with-lua-dir=%{_prefix} \
#	--with-lua-lib=%{_libdir} \
#	--with-lualib-lib=%{_libdir}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

desktop-file-install \
	 --add-category="3DGraphics" \
	 --remove-category="Application" \
	 --remove-key="Encoding" \
	 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}/html
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/plugins/1.3
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/%{name}/i18n/mm3d_bork.qm
%{_datadir}/%{name}/i18n/mm3d_ref.qm
%{_datadir}/%{name}/i18n/mm3d_sk.qm
%{_datadir}/%{name}/i18n/mm3d_fr.qm
%lang(ar) %{_datadir}/%{name}/i18n/qt_ar.qm
%lang(cs) %{_datadir}/%{name}/i18n/qt_cs.qm
%lang(de) %{_datadir}/%{name}/i18n/qt_de.qm
%lang(fr) %{_datadir}/%{name}/i18n/qt_fr.qm
%lang(iw) %{_datadir}/%{name}/i18n/qt_iw.qm
%lang(ru) %{_datadir}/%{name}/i18n/qt_ru.qm
%lang(sk) %{_datadir}/%{name}/i18n/qt_sk.qm
%lang(zh_CN) %{_datadir}/%{name}/i18n/qt_zh_CN.qm
%{_mandir}/man1/mm3d.1.*
%{_datadir}/pixmaps/*.xpm


%changelog
* Sun Sep 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.7-4mdv2009.0
+ Revision: 282212
- fix permissions

* Fri Sep 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.7-3mdv2009.0
+ Revision: 281225
- add missing buildrequire on libxmu-devel (thanks Helio for spotting this)
- update to new version 1.3.7
- disable lua support for now

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jan 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.6-1mdv2008.1
+ Revision: 152879
- drop source 1
- drop br on imagemagick
- fix file list
- tune up desktop file"
- new version
- remove key Encoding in desktop file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.5-1mdv2008.0
+ Revision: 52459
- new version

* Sat May 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.4-1mdv2008.0
+ Revision: 28419
- new version
- add translation files
- drop P4 (merged upstream)


* Fri Mar 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.3-1mdv2007.0
+ Revision: 131064
- update to the latest version
- drop patches 0-3(merged upstream)
- add patch 4

* Fri Feb 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.2-3mdv2007.1
+ Revision: 118315
- rename patches
- add icons
- add menu entry

* Thu Jan 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.2-2mdv2007.1
+ Revision: 113180
- fix build on x86_64
- forgot to add %%mkrel
- added patches 0-3 to enable lua scripting (Kevin Worcester)
- Import mm3d

